net.corda.flows

## Class BroadcastTransactionFlow

- FlowLogic
- - net.corda.flows.BroadcastTransactionFlow

-     public class BroadcastTransactionFlow
      extends FlowLogic

  Notify the specified parties about a transaction. The remote peers will download this transaction and its dependency graph, verifying them all. The flow returns when all peers have acknowledged the transactions as valid. Normally you wouldn't use this directly, it would be called via `class FinalityFlow`.

  See Also:
    `class FinalityFlow`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BroadcastTransactionFlow.NotifyTxRequest`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BroadcastTransactionFlow(SignedTransaction notarisedTransaction, java.util.Set<net.corda.core.crypto.Party> participants)` Notify the specified parties about a transaction. The remote peers will download this transaction and its dependency graph, verifying them all. The flow returns when all peers have acknowledged the transactions as valid. Normally you wouldn't use this directly, it would be called via `class FinalityFlow`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `call()` This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.
    `SignedTransaction` | `getNotarisedTransaction()`
    `java.util.Set<net.corda.core.crypto.Party>` | `getParticipants()`

    - ### Methods inherited from class net.corda.core.flows.FlowLogic

      `call, getCounterpartyMarker, getLogger, getProgressTracker, getRunId, getServiceHub, getStateMachine, receive, send, sendAndReceive, setStateMachine, subFlow, subFlow, track, waitForLedgerCommit`

- - ### Constructor Detail

    - #### BroadcastTransactionFlow

          public BroadcastTransactionFlow(SignedTransaction notarisedTransaction,
                                          java.util.Set<net.corda.core.crypto.Party> participants)

      Notify the specified parties about a transaction. The remote peers will download this transaction and its dependency graph, verifying them all. The flow returns when all peers have acknowledged the transactions as valid. Normally you wouldn't use this directly, it would be called via `class FinalityFlow`.

      Parameters:
        `notarisedTransaction` - transaction which has been notarised (if needed) and is ready to notify nodes about.
        `participants` - a list of participants involved in the transaction.
      See Also:
        `class FinalityFlow`

  - ### Method Detail

    - #### call

          public void call()

      This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.

    - #### getNotarisedTransaction

          public SignedTransaction getNotarisedTransaction()

    - #### getParticipants

          public java.util.Set<net.corda.core.crypto.Party> getParticipants()